Add "please select" to activity select box.
Status: Closed Start date: 2008-03-27

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Time tracking Estimated time: 0.00 hour

Target version: 0.8   

Resolution: Fixed   

Description

We have over 15 acitivities defined and we need that every users must add his spent time (otherwise we don't pay ;). When adding

time, users must select also appropriate Activity. When addind activity, there can be preselected (defalt value) item. So we

preselected most oftem activity, but in real life users forget to select their real activity, which lead in so much Accounting time and no

Programmer's spend time. We created special activity with name "PLEASE SELECT", so we can later filter all these records with

"PLEASE SELECT" activity and than tell users to select appropriate one.

Anyway, the easiest way should be ability to have default value for activity set to "non defined" (or something simillar), so when

adding time there will be some string like "Please select" in select bix, but when user will not select any other value and left select

box in state "Please select", than there will be error message pointing to select one from defined activities.

PS: Sorry for long description, I'm just trying to be most precise and descriptive... ;)

Associated revisions

Revision 1602 - 2008-06-29 14:01 - Jean-Philippe Lang

Addq "please select" to activity select box if no activity is set as default (#937).

History

#1 - 2008-03-27 20:46 - Eric Davis

Couldn't you set your default value to "Programming" in Enumerations > Activities?

#2 - 2008-03-28 12:50 - Maxim Krušina

We tried this, but unfortunately it didn't work. Users ten to skip this field with default value, so we created uppercase "PLEASE SELECT" value, which

is more visualy atrtacting, so users tend to select appropriate activity. Anyway, this is really workaround.

And, is someoe will forget to select apropriate activity, we can also select all activities with "PLEASE SELECT" value and correct it to right value.

#3 - 2008-06-29 14:01 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version set to 0.8

- Resolution set to Fixed

Committed in r1602.

If no activity is marked as default, "please select" is added to the activity select box.
